Cyberduck Mountain Duck CLI

#8044 closed defect (worksforme)

Always trust option for certificate causes hang

Reported by: clemens kynast Owned by: dkocher
Priority: normal Milestone: 4.5
Component: ftp-tls Version: 4.4.5
Severity: major Keywords: certificate
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by clemens kynast)

starting cyberduck, clicking on a bookmark, the (standard)window opens "check certificate". i have the three options "show certificate", "dismiss", "continue". if i try to connect to the server with option set "always trusting *.myserver.tld" i get the spinning wheel.

even my mail-app disconnects to other servers using a certificate. so i think it could be a different problem depending the operating system or system-wide ssh-architecture.

i dont get into this kind of trouble on osx 10.6.

Attachments (2)

Bildschirmfoto 2014-06-19 um 17.58.21.png (70.1 KB) - added by clemens kynast on Jun 19, 2014 at 4:08:31 PM.
the certificate window
Screen Shot 2014-06-19 at 23.11.24.png (116.5 KB) - added by dkocher on Jun 19, 2014 at 9:12:01 PM.

Download all attachments as: .zip

Change History (12)

Changed on Jun 19, 2014 at 4:08:31 PM by clemens kynast

the certificate window

comment:1 Changed on Jun 19, 2014 at 4:11:54 PM by clemens kynast

  • Description modified (diff)

comment:2 follow-up: Changed on Jun 19, 2014 at 4:16:23 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:3 Changed on Jun 19, 2014 at 4:19:04 PM by clemens kynast

  • Description modified (diff)

comment:4 in reply to: ↑ 2 Changed on Jun 19, 2014 at 4:20:43 PM by clemens kynast

Replying to dkocher:

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

19.06.14 (KW25) 17:58:09,189 Cyberduck: CGContextGetCTM: invalid context 0x0
19.06.14 (KW25) 17:58:09,189 Cyberduck: CGContextSetBaseCTM: invalid context 0x0
19.06.14 (KW25) 17:58:09,190 [0x0-0x1c01c].ch.sudo.cyberduck: Jun 19 17:58:09 cle-2.local Cyberduck[650] <Error>: CGContextGetCTM: invalid context 0x0
19.06.14 (KW25) 17:58:09,190 [0x0-0x1c01c].ch.sudo.cyberduck: Jun 19 17:58:09 cle-2.local Cyberduck[650] <Error>: CGContextSetBaseCTM: invalid context 0x0
19.06.14 (KW25) 17:58:09,199 Cyberduck: CGContextGetCTM: invalid context 0x0
19.06.14 (KW25) 17:58:09,199 Cyberduck: CGContextSetBaseCTM: invalid context 0x0
19.06.14 (KW25) 17:58:09,199 [0x0-0x1c01c].ch.sudo.cyberduck: Jun 19 17:58:09 cle-2.local Cyberduck[650] <Error>: CGContextGetCTM: invalid context 0x0
19.06.14 (KW25) 17:58:09,199 [0x0-0x1c01c].ch.sudo.cyberduck: Jun 19 17:58:09 cle-2.local Cyberduck[650] <Error>: CGContextSetBaseCTM: invalid context 0x0
19.06.14 (KW25) 18:18:29,844 com.apple.launchd.peruser.501: ([0x0-0x1c01c].ch.sudo.cyberduck[650]) Exited: Terminated: 15

Last edited on Jun 19, 2014 at 9:03:35 PM by dkocher (previous) (diff)

comment:5 Changed on Jun 19, 2014 at 9:11:01 PM by dkocher

  • Summary changed from cyberduck crashes when trying to connect to a new server-certificate to Always trust option for certificate causes hang

comment:6 Changed on Jun 19, 2014 at 9:14:06 PM by dkocher

I suspect something is wrong with your keychain where we want to save your certificate trust preference. Can you try to open Keychain Access.app (Schlüsselbund) and choose "Keychain First Aid" from the main application menu to repair your keychain.

comment:7 Changed on Jun 19, 2014 at 9:15:53 PM by dkocher

While Cyberduck hangs, can you try to enter

sudo killall securityd

in a Terminal.app window and see if that will make Cyberduck to continue with opening the connection.

comment:8 Changed on Jun 20, 2014 at 7:53:43 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:9 Changed on Jun 23, 2014 at 11:23:25 AM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

#8052 closed as duplicate.

comment:10 Changed on Jul 17, 2014 at 1:17:42 PM by dkocher

  • Milestone set to 4.5
  • Resolution set to worksforme
  • Status changed from reopened to closed

This might be fixed with r14679. Please update to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software